Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.coordination
Class SimpleEventConverter

    java.lang.Object
      org.jboss.portal.core.impl.coordination.SimpleEventConverter

All Implemented Interfaces:
  EventConverter

    public class SimpleEventConverter

extends java.lang.Object
implements EventConverter

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`SimpleEventConverter()`

Method Summary
`org.jboss.portal.portlet.controller.event.PortletWindowEvent` | `resolveEvent(org.jboss.portal.portlet.controller.event.PortletWindowEvent sourceEvent, org.jboss.portal.portlet.info.EventInfo destEventInfo, Window window)` Converts source event using information about destination event mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleEventConverter

    public SimpleEventConverter()

Method Detail

### resolveEvent

    public org.jboss.portal.portlet.controller.event.PortletWindowEvent resolveEvent(org.jboss.portal.portlet.controller.event.PortletWindowEvent sourceEvent,
                                                                                     org.jboss.portal.portlet.info.EventInfo destEventInfo,
                                                                                     Window window)

  Description copied from interface: `EventConverter`
  Converts source event using information about destination event mapping. Return event will have destination event QName, source event windowId and negotiated payload value.

  Specified by:
    `resolveEvent` in interface `EventConverter`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD